[nemo-qml-plugin-devicelock] Use libsystemd instead of obsolete libsystemd-daemon. Contributes to JB#38781
This tag has no release notes.